Bug 369 - Update X.org release version strings in code & docs
Summary: Update X.org release version strings in code & docs
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: unspecified
Hardware: All All
: high blocker
Assignee: Jim Gettys
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 213
  Show dependency treegraph
 
Reported: 2004-03-23 20:34 UTC by Alan Coopersmith
Modified: 2004-04-05 18:44 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Coopersmith 2004-03-23 20:34:56 UTC
A number of files refer to the X.Org version number and need to be updated to
X11R6.7 or whatever version is used for the release.   Specifically:

xc/config/cf/X11.tmpl:#define XOrgReleaseString	Release 6.6
xc/config/cf/site.sample:#define ProjectRoot /usr/X11R6.4
xc/doc/misc/RELNOTES.ms:<Many Locations>
xc/doc/misc/INSTALL.ms:<Many Locations>
xc/INSTALL.TXT:<Many Locations>  [ generated from xc/doc/misc/INSTALL.ms ? ]
xc/RELNOTES.TXT:<Many Locations> [ generated from xc/doc/misc/RELNOTES.ms ? ]
xc/LABEL:			     Release 6.6
xc/Makefile:RELEASE = "Release 6.6"
xc/bug-report:R6.6   [ or should this file be removed? ]
xc/programs/proxymngr/main.c:char *PM_VENDOR_RELEASE = "Release 6.6";
xc/programs/twm/version.c:char *Version = "The Open Group, R6.3";
xc/programs/xmh/version.h:#define XMH_VERSION "xmh    X Consortium    R6.3"
xc/programs/xrx/plugin/libxrx.man:your platform) in <ProjectRoot>/lib (e.g.
/usr/X11R6.4/lib) and copy it to

(Also, many of the standards/spec docs in xc/doc, but I'm handling those
 separately.)
Comment 1 Egbert Eich 2004-03-24 08:22:12 UTC
I'll take care of the binary stuff *.c files and Imake stuff.
Parts of this is done.
Comment 2 Egbert Eich 2004-03-24 10:27:33 UTC
Haven't taken care of these

xc/doc/misc/RELNOTES.ms:<Many Locations>
xc/doc/misc/INSTALL.ms:<Many Locations>
xc/INSTALL.TXT:<Many Locations>  [ generated from xc/doc/misc/INSTALL.ms ? ]
xc/RELNOTES.TXT:<Many Locations> [ generated from xc/doc/misc/RELNOTES.ms ? ]
xc/LABEL:			     Release 6.6
xc/bug-report:R6.6   [ or should this file be removed? ]

everything else is done.
Comment 3 Bugzilla Maintainer 2004-04-06 11:44:51 UTC
For this release, I've removed:

xc/INSTALL.TXT
xc/doc/misc/RELNOTES.ms
xc/doc/misc/INSTALL.ms
xc/RELNOTES.TXT
xc/RELNOTES.XORG
xc/bug-report

jg fixed xc/LABEL


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.